package com.bjlt.spider.business.airasia.service;

import com.bjlt.spider.entity.SearchRequestEntity;
import com.bjlt.spider.entity.monitor.MonitorEntity;
import com.bjlt.spider.util.RespEntity;

/**
 * auth : luyanan0718@163.com
 * com.bjlt.spider.service
 * CreateTime:2017/10/12-11:49
 * introduce:  亚航  app 端的页面采集service
 *
 **/
public interface AirAsiaWebService {

        /**
         * 根据搜索接口进行亚航数据的搜索
         * @param searchRequestEntity
         * @return
         */
        RespEntity serach(SearchRequestEntity searchRequestEntity,MonitorEntity monitorEntity) throws Exception;




        /**
         * 根据搜索接口进行亚航数据的搜索
         * @date   2018-03-12
         * @param searchRequestEntity
         * @return
         */
        RespEntity serach2(SearchRequestEntity searchRequestEntity,MonitorEntity monitorEntity) throws Exception;


        /**
         * 根据搜索接口进行亚航数据的搜索
         * @date   2018-03-14
         * @param searchRequestEntity
         * @return
         */
        RespEntity newSerach(SearchRequestEntity searchRequestEntity);





        RespEntity   login(String userName, String passWord);


        /**
         * 获取行李额
         * @param depAirport
         * @param arrAirport
         * @return
         */
        RespEntity getBaggage(String depAirport, String arrAirport);


}

