package com.bjlt.spider.business.cebupacificair.controller;

import com.bjlt.spider.business.cebupacificair.service.CebupacificairService;
import com.bjlt.spider.entity.SearchRequestEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/cebupacificair/web/")
public class CebupacificairController {

    @Autowired
    CebupacificairService cebupacificairService;

    @RequestMapping(value = "/search", method = RequestMethod.POST)
    @ResponseBody
    public RespEntity search(@RequestBody SearchRequestEntity searchRequestEntity) {

        try {
            return cebupacificairService.search(searchRequestEntity);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return RespEntity.error("爬虫错误");
    }

}
