package com.bjlt.spider.business.ryanair.controller;

import com.bjlt.spider.business.ryanair.service.RyanairAPPService;
import com.bjlt.spider.business.ryanair.service.RyanairWebService;
import com.bjlt.spider.entity.SearchRequestEntity;
import com.bjlt.spider.util.RespEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author: luyanan0718@163.com
 * @create :2018/1/9 11:58
 * @introduce :
 **/

@Controller
@RequestMapping("/ryanair/app/")
public class RyanairAPPController {


    @Autowired
    RyanairAPPService ryanairAPPService;


    @RequestMapping(value = "search",method = RequestMethod.POST)
    @ResponseBody
    public RespEntity search(@RequestBody SearchRequestEntity searchRequestEntity) {

        try {
            return RespEntity.success(ryanairAPPService.searchAPP(searchRequestEntity));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return RespEntity.error("爬虫错误");
    }
}
