package com.bjlt.spider.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

/**
 * @author: luyanan0718@163.com
 * @create :2018/3/6 18:04
 * @introduce :  redis 的发布
 **/

@Slf4j
@Service
public class RedisService {

    @Autowired
    RedisTemplate redisTemplate;


    //向通道发送消息的方法
    public void sendChannelMess(String channel, String message) {

        redisTemplate.convertAndSend(channel, message);
        log.info("发送的消息为key 为--》{}，value为--》{}", channel, message);
    }


}
