package com.bjlt.spider.monitor.controller;

import com.bjlt.spider.monitor.utils.SearchStatisticsUtil;
import com.bjlt.spider.util.RespEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 统计爬虫查询情况
 */
@Controller
@RequestMapping(value = "/Statistics")
public class SearchStatisticsController {


    @RequestMapping(value = "getStatisticsResult", method = RequestMethod.POST)
    @ResponseBody
    public RespEntity getStatisticsResult() {
        return RespEntity.success(SearchStatisticsUtil.getSearchStatistics());
    }


}
