package com.bjlt.spider.airaisa;

import com.alibaba.fastjson.JSONObject;
import com.bjlt.spider.airasia.dao.impl.AirasiaMobileDaoImpl;
import com.bjlt.spider.entity.SearchRequestEntity;
import com.luyn.config.LuynConfig;
import com.luyn.http.okhttp.OkHttpDownLoader;
import com.luyn.io.FileUtil;
import com.luyn.log.SysLogger;
import org.junit.Test;

/**
 * @author: luyanan0718@163.com
 * @create :2017/11/16 17:05
 * @introduce :  亚航   mobile的测试
 **/

public class AirasiaMobileDaoTest {

    AirasiaMobileDaoImpl airasiaMobileDao = new AirasiaMobileDaoImpl();

    @Test
    public void contentParser() {
        String   html = FileUtil.readFile("D:/yahang_mobile3.csv","utf-8");
        SearchRequestEntity searchRequestEntity = new SearchRequestEntity();
        searchRequestEntity.setFormCity("AKL");
        searchRequestEntity.setFromDate("2018-05-04");
        searchRequestEntity.setToCity("DPS");
        searchRequestEntity.setRetDate("2018-06-01");
        airasiaMobileDao.contentParser(html,searchRequestEntity);

    }


    @Test
    public void    test(){
        String url = "http://localhost:31001/airasiamobile/search";
        String  json = "{\"airSource\":\"3\",\"formCity\":\"PEK\",\"fromDate\":\"2017-12-26\"," +
                "\"toCity\":\"KUL\",\"retDate\":\"2018-02-01\",\"adultNum\":\"2\",\"childNum\":\"0\"}";
        String html = OkHttpDownLoader.textBody(url).json(json).okhttpexecute().asString();
        System.out.println(html);
    }


    @Test
    public  void testVer(){
        {
            String url = "http://localhost:31001/ariasiaweb/verify";
            JSONObject req = new JSONObject();
            req.put("adultNum","3");
            req.put("airSource","3");
            req.put("childNum","0");
            req.put("formCity","PEK");
            req.put("toCity","KUL");
            req.put("fromDate","2018-03-24");
            req.put("currency","USD");
            req.put("id","0");
            req.put("isDefault","1");
            req.put("queneName","_VJ_SEARCH");
            req.put("retDate","2018-03-25");
            req.put("searchUrl","http://128.14.29.106:32005/vietjetair/randomsearch");
            req.put("tripType","2");  //单程票还是回程票
            req.put("uuid","ALLFROMCITY-DLITOCITY-VIIFROMDATE-20180314RETDATE-20180317NUM");
            req.put("verufyUrl","http://128.14.29.106:32005/vietjetair/randomsearch");
            String html = OkHttpDownLoader.textBody(url).json(req.toString()).okhttpexecute().asString();
            System.out.println(html);
        }
    }


}
