//package com.bjlt.spider.airaisa;
//
//import com.alibaba.fastjson.JSON;
//import com.bjlt.spider.entity.*;
//import com.bjlt.spider.util.CurrencyUtils;
//import com.bjlt.spider.utils.CommonUtils;
//import com.google.common.collect.Lists;
//import com.luyn.core.StringUtil;
//import com.luyn.date.DatePattren;
//import com.luyn.date.DateUtil;
//import com.luyn.io.FileUtil;
//import com.luyn.jdbc.CommonDAOUtil;
//import org.jsoup.Jsoup;
//import org.jsoup.nodes.Document;
//import org.jsoup.nodes.Element;
//import org.jsoup.select.Elements;
//
//import java.io.IOException;
//import java.math.BigDecimal;
//import java.util.ArrayList;
//import java.util.Date;
//import java.util.List;
//
///**
// * @author: luyanan0718@163.com
// * @create :2017/11/22 16:39
// * @introduce : 页面解析
// **/
//
//public class HtmlParser {
//
//    public static void main(String[] args) throws IOException {
//        String html = FileUtil.readFile("D:/亚航结果3.txt", "utf-8");
//        SearchRequestEntity searchRequestEntity = new SearchRequestEntity();
//        searchRequestEntity.setFromDate("2017-12-19");
//        searchRequestEntity.setRetDate("2018-01-02");
//        SearchResponseEntity searchResponseEntity = parser(html, searchRequestEntity);
//        System.out.println("11111111-----------" + JSON.toJSONString(searchResponseEntity));
//    }
//
//
//    public static SearchResponseEntity parser(String htrml, SearchRequestEntity searchRequestEntity) {
//
//        /**
//         * 去程信息
//         */
//        List<AirlineInfomation> fromSegments = Lists.newArrayList();
//
//
//        /**
//         * 回程航段
//         */
//        List<AirlineInfomation> retSegments = Lists.newArrayList();
//        if (StringUtil.isNotBlank(htrml)) {
//            Document document = Jsoup.parse(htrml);
//            //  锁定到   航班列表的class
//            Element availabilityForm = document.getElementById("availabilityForm");
////            System.out.println(availabilityForm.text());
//            if (availabilityForm != null) {
//                Elements availabilityContainers = availabilityForm.select("div.js_availability_container");
//                if (availabilityContainers != null && availabilityContainers.size() > 0) {
//                    //  第一个为出发
//                    //   第二个为回程
//                    Element fromSegmentsElements = availabilityContainers.get(0);
//                    Elements availTables = fromSegmentsElements.select("table.avail-table");
//                    if (availTables != null && availTables.size() > 0) {
//                        for (Element availTable : availTables) {
//                            // 判断是去程还是回程
//
////                            System.out.println("availTable----" + availTable.text());
////                                Elements fareLightRows = availTable.select("tr.fare-light-row");
//                            List<AirlineInfomation> fareLightRowsInfomations = airalinemationParser(availTable, searchRequestEntity, "fare-light-row");
//                            List<AirlineInfomation> fareDarkRowInfomations = airalinemationParser(availTable, searchRequestEntity, "fare-dark-row");
//                            fromSegments.addAll(fareLightRowsInfomations);
//                            fromSegments.addAll(fareDarkRowInfomations);
//
////                            System.out.println("fareLightRowsInfomations-----" + fareLightRowsInfomations.size() + "_____" + JSON.toJSONString(fareLightRowsInfomations) + "\n" + JSON.toJSONString(fareDarkRowInfomations));
//
//                        }
//                    }
////                    for (Element availabilityContainer : availabilityContainers) {
////                        availabilityContainer.select("h1.avail-header-title")
////                        System.out.println("----" + availabilityContainer.text());
////
////
////                        Elements availTables = availabilityContainer.select("table.avail-table");
////                        if (availTables != null && availTables.size() > 0) {
////                            for (Element availTable : availTables) {
////                                // 判断是去程还是回程
////
////                                System.out.println("availTable----" + availTable.text());
//////                                Elements fareLightRows = availTable.select("tr.fare-light-row");
////                              List<AirlineInfomation>   fareLightRowsInfomations = airalinemationParser(availTable,orderRequestEntity,"fare-light-row");
////                              List<AirlineInfomation> fareDarkRowInfomations = airalinemationParser(availTable,orderRequestEntity,"fare-dark-row");
////
////                                System.out.println("fareLightRowsInfomations-----"+fareLightRowsInfomations.size()+"_____"+JSON.toJSONString(fareLightRowsInfomations)+"\n"+JSON.toJSONString(fareDarkRowInfomations));
////
////                            }
////                        }
////
////
////                    }
//                    if (availabilityContainers.size() > 1) {
//// 说明是返程
//                        Element retSegmentsElements = availabilityContainers.get(1);
//                        Elements retavailTables = retSegmentsElements.select("table.avail-table");
//                        if (availTables != null && availTables.size() > 0) {
//                            for (Element availTable : retavailTables) {
//                                // 判断是去程还是回程
//
////                                System.out.println("availTable----" + availTable.text());
////                                Elements fareLightRows = availTable.select("tr.fare-light-row");
//                                List<AirlineInfomation> fareLightRowsInfomations = airalinemationParser(availTable, searchRequestEntity, "fare-light-row");
//                                List<AirlineInfomation> fareDarkRowInfomations = airalinemationParser(availTable, searchRequestEntity, "fare-dark-row");
//                                retSegments.addAll(fareLightRowsInfomations);
//                                retSegments.addAll(fareDarkRowInfomations);
//
////                                System.out.println("fareLightRowsInfomations-----" + fareLightRowsInfomations.size() + "_____" + JSON.toJSONString(fareLightRowsInfomations) + "\n" + JSON.toJSONString(fareDarkRowInfomations));
//
//                            }
//                        }
//
//                    }
//                }
//
//
//            }
//        }
//
////        System.out.println("去程----" + JSON.toJSONString(fromSegments));
////        System.out.println("返程----" + JSON.toJSONString(retSegments));
//        // now  往出发行程里 添加出发到达城市
//        // 去程
//        if (fromSegments != null && fromSegments.size() > 0) {
//            for (AirlineInfomation fromSegment : fromSegments) {
//                fromSegment.setFromDate(searchRequestEntity.getFromDate());
//                fromSegment.setFormCity(searchRequestEntity.getFormCity());
//                fromSegment.setToCity(searchRequestEntity.getToCity());
//                fromSegment.setRetDate(searchRequestEntity.getRetDate());
//            }
//        }
//
//
//        if (retSegments != null && retSegments.size() > 0) {
//            for (AirlineInfomation retSegment : retSegments) {
//                retSegment.setFormCity(searchRequestEntity.getToCity());
//                retSegment.setFromDate(searchRequestEntity.getRetDate());
//                retSegment.setToCity(searchRequestEntity.getFormCity());
//                retSegment.setRetDate(searchRequestEntity.getFromDate());
//            }
//        }
//
//
//        SearchResponseEntity searchResponseEntity = SearchResponseEntity.builder().formCity(searchRequestEntity.getFormCity()).fromDate(searchRequestEntity.getFromDate()).retDate(searchRequestEntity.getRetDate()).toCity(searchRequestEntity.getToCity()).fromSegments(fromSegments).retSegments(retSegments).build();
//        return searchResponseEntity;
//    }
//
//
//    public static List<AirlineInfomation> airalinemationParser(Element availTable, SearchRequestEntity searchRequestEntity, String className) {
//        List<AirlineInfomation> airlineInfomations = new ArrayList<>();
//        Elements fareDarkRows = availTable.select("tr." + className);
//        if (fareDarkRows != null && fareDarkRows.size() > 0) {
//            for (Element fareDarkRow : fareDarkRows) {
//                //     计算飞行时长
//                String flightTime = null;
//                Elements availStopsInfos = fareDarkRow.select("td.avail-stops-info");
//                if (availStopsInfos != null && availStopsInfos.size() > 0) {
//                    for (Element availStopsInfo : availStopsInfos) {
//                        Elements textCenters = availStopsInfo.select("div.text-center");
//                        if (textCenters != null && textCenters.size() > 0) {
//                            for (Element textCenter : textCenters) {
////                                System.out.println("textCenter...." + textCenter.text());
//                                String textConterText = textCenter.text();
//                                if (StringUtil.isNotBlank(textConterText) && (textConterText.contains("m") || textConterText.contains("h") || textConterText.contains("d"))) {
//                                    flightTime = textConterText;
//
//                                }
//                            }
//                        }
//                    }
//                }
//
////                System.out.println("飞行时长----" + flightTime);
//
//                AirlineInfomation airlineInfomation = new AirlineInfomation();
//                airlineInfomation.setDurationTotal(CommonUtils.converTime(flightTime));
////                System.out.println(fareDarkRow.text());
//                List<String> flightNumber = Lists.newArrayList();
//                List<RouteInfoEntity> routeInfoEntities = new ArrayList<>();
//                // 从里面 摘除起飞到达机场，时间和价格
//                Elements availTableVerts = fareDarkRow.select("td.avail-table-vert");
////                System.out.println("availTableVerts----" + availTableVerts.text());
//                if (availTableVerts != null && availTableVerts.size() > 0) {
//                    for (Element availTableVert : availTableVerts) {
//                        Elements availTableInfos = availTableVert.select("table.avail-table-info");
//                        if (availTableInfos != null && availTableInfos.size() > 0) {
//                            for (Element availTableInfo : availTableInfos) {
//                                Elements fareDarkRowss = availTableInfo.select("tr." + className);
//                                String depTimeStr = searchRequestEntity.getFromDate();
//                                Date depTimeDate = DateUtil.getFormatDate(depTimeStr, DatePattren.DATE_FORMAT);
//                                String arrTimeStr = searchRequestEntity.getRetDate();
//                                Date arrTimeDate = DateUtil.getFormatDate(arrTimeStr, DatePattren.DATE_FORMAT);
//                                if (fareDarkRowss != null && fareDarkRowss.size() > 0) {
//                                    for (Element fare : fareDarkRowss) {
////                                        System.out.println(fare.text());
//                                        //中转信息
//                                        RouteInfoEntity routeInfoEntity = new RouteInfoEntity();
//                                        Elements textCenters = fare.select("div.text-center");
//                                        // 这里需要收拾一下时间
//
//                                        if (textCenters != null && textCenters.size() > 0) {
//                                            // 出发机场
//                                            String depAirport = textCenters.get(0).select("div").get(0).text();
//                                            String depTime = textCenters.get(0).select("div").get(1).text();
//                                            String arrAirport = textCenters.get(1).select("div").get(0).text();
//                                            String arrTime = textCenters.get(1).select("div").get(1).text();
//                                            if (depAirport.contains("+1")) {
//                                                depTimeDate = DateUtil.getBeforeDay(depTimeDate, -1);
//                                            }
//                                            if (arrAirport.contains("+1")) {
//                                                arrTimeDate = DateUtil.getBeforeDay(arrTimeDate, -1);
//                                            }
//                                            // 取出出发机场和到达机场
//                                            depAirport = depAirport.replace(depTime, "").trim().replace("+1", "").replace("(", "").replace(")", "");
//                                            arrAirport = arrAirport.replace(arrTime, "").trim().replace("+1", "").replace("(", "").replace(")", "");
//                                            routeInfoEntity.setDepAirport(depAirport);
//                                            routeInfoEntity.setDepTime(DateUtil.getFormatDate(depTimeDate, DatePattren.DATE_FORMAT) + " " + depTime);
//                                            routeInfoEntity.setArrAirport(arrAirport);
//                                            routeInfoEntity.setArrTime(DateUtil.getFormatDate(arrTimeDate, DatePattren.DATE_FORMAT) + " " + arrTime);
//                                        }
////                                        System.out.println("fare ----" + JSON.toJSONString(routeInfoEntity));
//                                        routeInfoEntities.add(routeInfoEntity);
//                                    }
//                                }
//
//                                // 处理航班号
//                                Elements carrierHovers = availTableInfo.select("div.carrier-hover-bold");
////                                System.out.println("航班号---" + carrierHovers.select("div.carrier-hover-bold").size());
//                                if (carrierHovers != null && carrierHovers.size() > 0) {
//                                    for (Element carrierHover : carrierHovers) {
//                                        flightNumber.add(carrierHover.text());
//                                    }
//                                }
//
//
//                            }
//                        }
//
//                    }
//                }
////                System.out.println(flightNumber.size());
//                if (routeInfoEntities != null && flightNumber != null && routeInfoEntities.size() == flightNumber.size()) {
//                    for (int i = 0; i < routeInfoEntities.size(); i++) {
//                        routeInfoEntities.get(i).setFlightNumber(flightNumber.get(i));
//                    }
//
//                }
//
//
//                // 价格
//                String currency = null;
//                String adultStr = null;
//                String childStr = null;
//                Elements availTableTopBorderBlacks = fareDarkRow.select("td.avail-fare");
////                System.out.println(availTableTopBorderBlacks.text());
//                if (availTableTopBorderBlacks != null && availTableTopBorderBlacks.size() > 0) {
//                    // 因为   取得价格是最低的 ，所以取第一个
//                    Element availTableTopBorderBlack = availTableTopBorderBlacks.get(0);
//                    // 获取币种
////                  currency =  availTableTopBorderBlack.select("input").get(0).attr("data-cur");
//                    Elements availFarePrices = availTableTopBorderBlack.select("div.avail-fare-price");
//                    if (availFarePrices != null && availFarePrices.size() > 0) {
//                        try {
//                            adultStr = availFarePrices.get(0).text();
//                        } catch (Exception e) {
//                            e.printStackTrace();
//                        }
//                        if (availFarePrices.size() > 1) {
//                            childStr = availFarePrices.get(1).text();
//                        }
//
//                    }
//                }
//
////                System.out.println("价格----" + adultStr + "____" + childStr);
//                if (StringUtil.isNotBlank(adultStr)) {
//                    currency = CurrencyUtils.currencyIdentification(adultStr);
//                    airlineInfomation.setCurrency(currency);
//                    adultStr = adultStr.replace(currency, "").trim().replace("≈", "").replaceAll(",", "");
//                }
//                if (StringUtil.isNotBlank(childStr)) {
//                    currency = CurrencyUtils.currencyIdentification(childStr);
//                    childStr = childStr.replace(currency, "").trim().replace("≈", "").replaceAll(",", "");
//                }
//
//                // 在这里  需要将价格按照1-9的比例分给税费和价格
//                if (StringUtil.isNotBlank(adultStr)) {
//                    BigDecimal adultPrice = new BigDecimal(adultStr);
//                    airlineInfomation.setAdultPrice(adultPrice.multiply(new BigDecimal(0.9)).setScale(2, BigDecimal.ROUND_HALF_UP));
//                    airlineInfomation.setAdultTax(adultPrice.multiply(new BigDecimal(0.1)).setScale(2, BigDecimal.ROUND_HALF_UP));
//                } else {
//                    airlineInfomation.setAdultPrice(new BigDecimal(0));
//                    airlineInfomation.setAdultTax(new BigDecimal(0));
//                }
//                if (StringUtil.isNotBlank(childStr)) {
//                    BigDecimal childPrice = new BigDecimal(childStr);
//                    airlineInfomation.setChildPrice(childPrice.multiply(new BigDecimal(0.9)).setScale(2, BigDecimal.ROUND_HALF_UP));
//                    airlineInfomation.setChildTax(childPrice.multiply(new BigDecimal(0.1)).setScale(2, BigDecimal.ROUND_HALF_UP));
//                } else {
//                    airlineInfomation.setChildPrice(new BigDecimal(0));
//                    airlineInfomation.setChildTax(new BigDecimal(0));
//                }
//
//
//                airlineInfomation.setRouteInfoEntities(routeInfoEntities);
//                // 接下来处理航班
////                System.out.println(JSON.toJSONString(airlineInfomation));
//                if (airlineInfomation.getRouteInfoEntities().size() != 0) {
//                    airlineInfomations.add(airlineInfomation);
//                }
//
//            }
//        }
//        return airlineInfomations;
//    }
//
//}
