package com.bjlt.spider.lionair;

import com.alibaba.fastjson.JSONObject;
import com.luyn.http.okhttp.OkHttpDownLoader;
import org.junit.Test;

public class LionairTest {




    @Test
    public void   testVerify(){
        String url = "http://localhost:31001/lionair/verify";
        JSONObject req = new JSONObject();
        req.put("adultNum","3");
        req.put("airSource","5");
        req.put("childNum","0");
        req.put("formCity","AEG");
        req.put("toCity","BNE");
        req.put("fromDate","2018-03-28");
        req.put("currency","");
        req.put("id","0");
        req.put("isDefault","1");
        req.put("queneName","_VJ_SEARCH");
        req.put("retDate","2018-03-31");
        req.put("searchUrl","http://128.14.29.106:32005/vietjetair/randomsearch");
        req.put("tripType","2");  //单程票还是回程票
        req.put("uuid","ALLFROMCITY-DLITOCITY-VIIFROMDATE-20180314RETDATE-20180317NUM");
        req.put("verufyUrl","http://128.14.29.106:32005/vietjetair/randomsearch");
        String html = OkHttpDownLoader.textBody(url).json(req.toString()).okhttpexecute().asString();
        System.out.println(html);
    }

    @Test
    public void   testSearch(){
        String url = "http://localhost:31001/lionair/search";
        JSONObject req = new JSONObject();
        req.put("adultNum","3");
        req.put("airSource","5");// 5 手机端 6 手机端
        req.put("childNum","0");
        req.put("formCity","AEG");
        req.put("toCity","ARD");
        req.put("fromDate","2018-03-28");
        req.put("currency","");
        req.put("id","0");
        req.put("isDefault","1");
        req.put("queneName","_VJ_SEARCH");
        req.put("retDate","2018-03-25");
        req.put("searchUrl","http://128.14.29.106:32005/vietjetair/randomsearch");
        req.put("tripType","2");  //单程票还是回程票
        req.put("uuid","ALLFROMCITY-DLITOCITY-VIIFROMDATE-20180314RETDATE-20180317NUM");
        req.put("verufyUrl","http://128.14.29.106:32005/vietjetair/randomsearch");
        String html = OkHttpDownLoader.textBody(url).json(req.toString()).okhttpexecute().asString();
        System.out.println(html);
    }

}
