package com.bjlt.spider;

import com.bjlt.spider.entity.SourceEnum;
import com.luyn.config.LuynConfig;
import com.luyn.http.config.HttpConfig;
import com.luyn.http.debug.Debug;
import com.luyn.log.SysLogger;
import com.luyn.log.SysLoggerConfig;
import com.luyn.log.SysLoggerLevel;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.feign.EnableFeignClients;
import org.springframework.transaction.annotation.EnableTransactionManagement;

//////
//@EnableFeignClients
//@EnableDiscoveryClient
//@EnableTransactionManagement
//@EnableRetry
@SpringBootApplication
public class UserServiceApplication {

    public static void main(String[] args) {

        /**
         * 日志打印配置
         */

//        LuynConfig.setHttpClientDebug_Level(Debug.Level.ALL);
//        HttpConfig.setDebug(Debug.Level.ALL);
//        LuynConfig.setHttpClientDebug_Level(Debug.Level.ALL);
        LuynConfig.setHttpClientDebug_Level(Debug.Level.NONE);
        HttpConfig.setDebug(Debug.Level.NONE);
        LuynConfig.setHttpClientDebug_Level(Debug.Level.NONE);
        SysLoggerConfig.setLevels(new SysLoggerLevel[]{SysLoggerLevel.ALL});

        SpringApplication.run(UserServiceApplication.class, args);


    }

}