//package com.bjlt.spider.config;
//
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.bjlt.spider.business.airasia.service.AirAsiaWebService;
//import com.bjlt.spider.entity.SearchRequestEntity;
//import com.bjlt.spider.entity.SourceEnum;
//import com.bjlt.spider.monitor.utils.CallBackUtils;
//import com.bjlt.spider.util.RespEntity;
//import com.fasterxml.jackson.databind.ObjectMapper;
//import com.luyn.date.DatePattren;
//import com.luyn.date.DateUtil;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.RedisTemplate;
//
//import java.io.IOException;
//import java.util.Date;
//import java.util.concurrent.ExecutorService;
//
///**
// * @author: luyanan0718@163.com
// * @create :2018/3/6 15:55
// * @introduce :
// **/
//
//@Slf4j
//public class SpiderThread implements Runnable {
//
//
//    private Integer index;
//
//
//    private RedisTemplate redisTemplate;
//
//
//    private AirAsiaWebService airAsiaWebService;
//
//
//    private ObjectMapper objectMapper = new ObjectMapper();
//
//
//    private Config config;
//
//    public SpiderThread(RedisTemplate redisTemplate, AirAsiaWebService airAsiaWebService, Integer index, Config config) {
//        this.redisTemplate = redisTemplate;
//        this.airAsiaWebService = airAsiaWebService;
//        this.index = index;
//        this.config = config;
//    }
//
//    @Override
//    public void run() {
//        log.info("第{}个线程正在等待，{}", index);
//        while (true) {
//
//            try {
//                Thread.sleep(1);
//            } catch (InterruptedException e) {
//                e.printStackTrace();
//            }
//            Object value = redisTemplate.opsForList().rightPop(Config.SEARCH_KEY);
//            if (value != null) {
//                SearchRequestEntity searchRequestEntity = null;
//                try {
//                    searchRequestEntity = objectMapper.readValue(JSONObject.toJSONString(value), SearchRequestEntity.class);
//                    SearchRequestEntity finalSearchRequestEntity = searchRequestEntity;
//
//                    RespEntity respEntity = null;
//
//
//                    if (finalSearchRequestEntity.getAirSource().equals(SourceEnum.AK_WEB.getSourceId())) {
//
//
//                        log.info("开始亚航数据的查询--->{}", JSON.toJSONString(finalSearchRequestEntity));
//                        try {
//
//                            respEntity = airAsiaWebService.serach(finalSearchRequestEntity);
//                            log.info("返回的结果为--->{}",JSON.toJSONString(respEntity));
//
//
//                            if (respEntity.getStatus() == 200) {
//                                CallBackUtils.callBack(JSON.toJSONString(respEntity), config);
//                                log.info("回调成功");
//                            }
//                        } catch (Exception e) {
//                            e.printStackTrace();
//                        }
//
//                    }
//
//                    System.out.println("任务开始执行.........." + DateUtil.getFormatDate(new Date(), DatePattren.TIME_FORMAT_MILLI));
//
//                } catch (IOException e) {
//                    e.printStackTrace();
//                }
//
//
//            }
//
//
//        }
//    }
//}
