package com.bjlt.spider.utils;

import com.luyn.core.RandomUtil;
import com.luyn.core.StringUtil;
import com.luyn.http.httpclient.HttpClientDownloader;
import com.luyn.http.proxy.HttpProxy;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * @author: luyanan0718@163.com
 * @create :2018/3/23 11:29
 * @introduce :
 **/

@Repository
public class NewIpDaoImpl implements NewIpDao {
    @Override
    public HttpProxy getIp(String channid, String type) {

        List<HttpProxy> proxies = new ArrayList<>();
        String url = "http://ip.16yun.cn:817/myip/pl/80b253ff-ac4c-428c-9a09-4a1c86d8705a/?s=jvqtmlwsjg&u=laopeng";
        String html = HttpClientDownloader.get(url).HttpClientexecute().asString();
        if (StringUtil.isNotBlank(html)) {
            String[] iplines = html.split("\n");
            Arrays.stream(iplines).forEach(ipLine -> {
                HttpProxy proxy = new HttpProxy();
                proxy.setAddress(ipLine.split(":")[0]);
                proxy.setPort(Integer.parseInt(ipLine.split(":")[1]));
                proxies.add(proxy);


            });
        }


        return proxies.get(RandomUtil.randomInt(proxies.size()));
    }

    @Override
    public void returnIp(String var1, String var2) {

    }

    @Override
    public HttpProxy getIp2(String channid, String type) {
        return null;
    }
}
